Package Details: orion-git 1.6.6.r20.g127664b-1

Git Clone URL: https://aur.archlinux.org/orion-git.git (read-only)
Package Base: orion-git
Description: QML/C++-written desktop client for Twitch.tv
Upstream URL: https://github.com/alamminsalo/orion/
Licenses: GPL3
Conflicts: orion
Provides: orion
Submitter: habarnam
Maintainer: m3thodic
Last Packager: m3thodic
Votes: 4
Popularity: 0.151227
First Submitted: 2016-09-12 12:52
Last Updated: 2019-04-12 01:20

Latest Comments

1 2 Next › Last »

habarnam commented on 2017-08-14 09:19

@Sesese9: I updated the dependencies to reflect what's on github. Thanx!

Sesese9 commented on 2017-08-14 05:22

After the latest rebuild from git, qt-graphicaleffects is required to run orion. Found that out from a debug output when it wouldn't start.

EDIT: I also had to install gst-plugins-bad to make orion even play the stream.

ahjolinna commented on 2017-04-16 17:04

if u have problems or request just make bug report to github, the developer is active and it seems that there is now 2nd one who is contributing (windows side mostly)

habarnam commented on 2017-04-15 09:50

Thank you for your comments.

I think I switched to qt-multimedia on my own branch and didn't push to master here on AUR. However I still have issues with buffering on both mpv and qt-multimedia - which was the initial reason for switching.

Do you know if there is a method to enable debugging?

ahjolinna commented on 2017-04-14 23:14

qt5-quickcontrols2 is now also needed https://github.com/alamminsalo/orion#building-on-linux I dont know why both v1 and v2 is needed

also why is qt5-multimedia as makedep. if u have mpv as the backend? okay I have been personally using qt5-multimedia instead, as mpv(/ffmpeg) hasnt been working great with live streams..okay it has been awhile when I last tired it, maybe the HLS bug has been fixed, I haven't really bother to check that.

habarnam commented on 2016-10-23 09:28

Thanx for the comment c-korn. I updated the PKGBUILD to conain qt5-multimedia as a make dependency, instead of an optional one.

c-korn commented on 2016-10-23 03:59

Getting this error:
Info: creating stash file /tmp/yaourt-tmp-korn/aur-orion-git/src/orion/.qmake.stash
Project MESSAGE: Selecting qt multimedia as backend
Project ERROR: Unknown module(s) in QT: multimedia

habarnam commented on 2016-10-20 15:41

Another update.

As per ahjolinna's suggestions, I removed the dependencies on mpv and libcommuni.

habarnam commented on 2016-10-20 08:45

Thank you @kenga, I've updated the PKGBUILD.

kenga commented on 2016-10-20 00:34

Seems the icon/logo was removed from the git repo:

==> Starting package()...
cp: cannot stat '/home/xxxx/.cache/pacaur/orion-git/src/orion/orion.svg': No such file or directory
==> ERROR: A failure occurred in package().

Nothing major to fix obviously, but the PKGBUILD doesn't work as is now.